package com.palmnest.application.dto.output;

import java.io.Serializable;

public class WxPublicnoDto implements Serializable{

	/**
	 * 微信公众号及商户信息
	 */
	private static final long serialVersionUID = 8374176611161840857L;

	private Integer id;
	private String name;
	private String appId;
	private String appSecret; 
	private String wxApiKey;
	private String mchId;
	private String getAccessTokenUrl;
	private String sslcertPath;
	private String sslcertPassword;
    
    public WxPublicnoDto() {
	}

    
	public WxPublicnoDto(Integer id, String name, String appId, String appSecret, String wxApiKey,
			String mchId, String getAccessTokenUrl, String sslcertPath, String sslcertPassword) {
		super();
		this.id = id;
		this.name = name;
		this.appId = appId;
		this.appSecret = appSecret;
		this.wxApiKey = wxApiKey;
		this.mchId = mchId;
		this.getAccessTokenUrl = getAccessTokenUrl;
		this.sslcertPath = sslcertPath;
		this.sslcertPassword = sslcertPassword;
	}


	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getAppSecret() {
		return appSecret;
	}

	public void setAppSecret(String appSecret) {
		this.appSecret = appSecret;
	}

	public String getWxApiKey() {
		return wxApiKey;
	}

	public void setWxApiKey(String wxApiKey) {
		this.wxApiKey = wxApiKey;
	}

	public String getMchId() {
		return mchId;
	}

	public void setMchId(String mchId) {
		this.mchId = mchId;
	}

	public String getGetAccessTokenUrl() {
		return getAccessTokenUrl;
	}

	public void setGetAccessTokenUrl(String getAccessTokenUrl) {
		this.getAccessTokenUrl = getAccessTokenUrl;
	}

	public String getSslcertPath() {
		return sslcertPath;
	}

	public void setSslcertPath(String sslcertPath) {
		this.sslcertPath = sslcertPath;
	}

	public String getSslcertPassword() {
		return sslcertPassword;
	}

	public void setSslcertPassword(String sslcertPassword) {
		this.sslcertPassword = sslcertPassword;
	}
    
    
}
